Refined and vectorized QGIS logo
2012-11-13 06:55 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15856
Description

QGIS has done a great lot of good for me and my organization, it's time to try and give back to the project ;)

As raised in a thread over the dev mailing list, QGIS would undoubtedly benefit from an improved logo. Just going to the QGIS' homepage
shows two different logo within centimeters of one another (header and download button), highlighting the need for a vectorized QGIS
logo that can be scaled up or down. IMO, QGIS would benefit from making sure one logo is used across the board (website, launcher
icon, documentation, etc.). This is currently near-impossible to achieve without a vector-based logo.

The dev mailing list discussion also highlighted an emotional attachment to the current logo, which has followed QGIS' development for a
long time.

Taking all of the above into account, I've tried to refine the current QGIS logo while coming up with a vector version. The resulting vector,
as well as rasterized, logo is attached to this issue. Few random comments on it:

- The "raw" embossed style was removed in favor of a more subtle lighting effect (embossed is so 90s ;) ).

- The 3d arrow was reworked into a 2.5d one (beyond being vector-friendly, | also felt it was more appropriate for QGIS since it doesn't do
3d)

Hope this is an improvement to the current logo and can be used the improve QGIS' visual identity.

Related issues:
Related to QGIS Application - Feature request # 7211: New splashscreen for QGIS Closed 2013-02-21

Associated revisions

Revision 0150799e - 2013-07-20 12:49 PM - Nathan Woodrow

Update to new icon. Fix #6688

History

#1 - 2012-11-13 07:09 PM - Mathieu Pellerin - nIRV

(note: vector logo was created using Inkscape, and would be best viewed / edited using that graphic editor)
#2 - 2012-11-13 11:06 PM - Mathieu Pellerin - nIRV

- File unity-launcher.png added

- File unity-dash.png added

- File gnomeshell-applications.png added
- File gnomeshell-dock.png added

In addition to the above, a refined, vector-based logo would integrate much better with the linux platform, especially on gnome shell & canonical's unity.
See the "current vs proposed" screenshots of the QGIS icon in a variety of linux contexts (dock, launcher, dash, etc.) attached to this issue.

(In the screenshots, the QGIS browser uses the current icon, while the QGIS desktop uses the above proposed logo)

#3 - 2012-11-13 11:27 PM - Mathieu Pellerin - nIRV
- File web-hub.png added

Lastly, a "current vs proposed" screenshot of logo in a web context.

#4 - 2012-11-13 11:59 PM - Tim Sutton

This is really nice. Maybe for some it won't be a radical enough change from the original but | really like it. | think we have a lot invested in that icon - people
around the world associate it with our project so | think your proposal is great in that it freshens the logo without losing its identity.

+1 from me

#5 - 2012-11-14 01:08 AM - Nathan Woodrow

+1

I would like to vote to use this new logo, at least until/if we end up getting one professionally done. Having a vector based logo can only be a good thing.

#6 - 2012-11-28 02:25 PM - Larry Shaffer

Hi nirvn,

Anita Graser's original Inkscape .svg file for the current logo is in the repository:

https://github.com/qgis/Quantum-GIS/blob/master/images/icons/qgis_icon.svg

#7 - 2012-11-28 03:53 PM - Mathieu Pellerin - nIRV

I'm aware of this svg. If you open it, you'll notice that the version in there is not the logo that is being used for the website, not redmine, nor app shortcut /

launcher.

#8 - 2013-02-27 08:22 AM - Antonio Locandro

| would seriously consider getting a professional logo done and also a splashcreen, no need to be changing the splashscreen every time. Although this is
the logo of the project | guess for a long time it doesn't reflect the current state of QGIS which is much modern, efficient and useful.

A refreshed logo and splashscreen would be a welcomed asset

Nathan Woodrow wrote:

+1
https://github.com/qgis/Quantum-GIS/blob/master/images/icons/qgis_icon.svg

| would like to vote to use this new logo, at least until/if we end up getting one professionally done. Having a vector based logo can only be a good

thing.

#9 - 2013-06-28 06:00 AM - Matthias Kuhn
- Priority changed from Normal to Severe/Regression

Changing to blocker. We need to decide on a (single) updated logo before we release.

#10 - 2013-07-20 03:51 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"0150799e78918c5f7a285372a9¢eef7389c0ee688".

#11 - 2013-07-20 02:40 PM - Jiirgen Fischer

Anonymous wrote:

Fixed in changeset commit:"0150799e78918c5f7a285372a9eef7389c0ee688".

Logos on website, plugin site, planet and redmine also replaced.

#12 - 2013-07-20 10:43 PM - Mathieu Pellerin - nIRV

Jef, great. | will update the "download now (free)" button on ggis.org's main page to use the refreshed logo and attach it to this issue so you can update

that graphic asset too.

Glad we're seeing an harmonization of the logo prior to 2.0's release.

Files

512_to_64.png 119 KB 2012-11-13 Mathieu Pellerin - nIRV
splashscreen.png 373 KB 2012-11-13 Mathieu Pellerin - nIRV
logo-proposal.svg 15.2 KB 2012-11-13 Mathieu Pellerin - nIRV
unity-launcher.png 140 KB 2012-11-13 Mathieu Pellerin - nIRV
unity-dash.png 168 KB 2012-11-13 Mathieu Pellerin - nIRV
gnomeshell-applications.png 263 KB 2012-11-13 Mathieu Pellerin - nIRV
gnomeshell-dock.png 40.6 KB 2012-11-13 Mathieu Pellerin - nIRV
web-hub.png 60.5 KB 2012-11-13 Mathieu Pellerin - nIRV
